/**
Theme Name: MFR du Ribéracois
Author: Artefact Design
Author URI: https://artefactdesign.fr/
Description: Spécialement conçu pour la MFR DE Ribérac. Support pour les affichages des Formations
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra
Template: astra
*/

/*********************** GENERAL *********************************/
.full-height {
  height: 100%;
}

.ast-theme-transparent-header.ast-plain-container.ast-single-post #primary {
  margin-top: 0;
}

.has-text-shadow > *,
.has-text-shadow {
  text-shadow: 1px 2px 1px #000;
}

/*disable breadcrumbs on parent page*/
.page:not(.page-child)
  .ast-single-entry-banner[data-post-type="page"]
  .ast-breadcrumbs-wrapper {
  display: none;
  visibility: hidden;
}

/* uag blocs*/

article.uagb-post__inner-wrap {
  overflow: hidden;
}

article.uagb-post__inner-wrap img {
  transition: all ease 0.5s;
}

article.uagb-post__inner-wrap:hover img {
  transform: scale(1.05);
}

/* tab bloc*/

.uagb-tabs__body-wrap .wp-block-button {
  margin-top: 12px;
}
/*
.uagb-tabs__hstyle4-desktop > .uagb-tabs__body-wrap {
  border-left: none !important;
  border-right: none !important;
  border-radius: 0 !important;
}
  */

/** archives**/
.tags-links.badge .ast-button {
  background: var(--ast-global-color-7);
  border: none;
  color: var(--ast-global-color-2);
}

span.published {
  font-size: 0.9em;
  font-style: italic;
}
/*Site header */
.ast-header-break-point
  .main-header-bar-navigation
  #ast-hf-menu-2-mobile
  li.menu-item {
  line-height: 1.1 !important;
}
#ast-hf-menu-2 .astra-mm-icon-label svg,
.ast-header-break-point #ast-hf-menu-2 .astra-mm-icon-label svg,
.ast-header-break-point .menu-item .astra-mm-icon-label svg {
  fill: var(--ast-global-color-1) !important;
  color: var(--ast-global-color-1) !important;
}

.ast-theme-transparent-header #ast-hf-menu-2 .astra-mm-icon-label svg,
.ast-theme-transparent-header.ast-header-break-point
  #ast-hf-menu-2-mobile
  .astra-mm-icon-label
  svg {
  fill: var(--ast-global-color-0) !important;
  color: var(--ast-global-color-0) !important;
}

.ast-theme-transparent-header .ast-above-header-wrap {
  background: var(--ast-global-color-7);
}

.ast-above-header-bar.ast-above-header.ast-header-sticked {
  box-shadow: 0px 2px 6px 3px #00000010;
}

img.image.menu-img {
  height: 150px !important;
  max-width: 300px !important;
  object-fit: cover;
  border-radius: 8px;
}

@media (max-width: 544px) {
  .ast-header-break-point #ast-hf-menu-2-mobile .menu-item .menu-link {
    display: inline-flex;
  }

  #ast-hf-menu-2-mobile .menu-link {
    padding: 0 8px;
  }
}

@media screen and (min-width:921px) {
  img.image.menu-img {
    height: 350px !important;
    max-width: 300px !important;
  }
  
}

@media screen and (min-width: 920px) and (max-width: 1536px) {
  .ast-primary-header-bar .ast-builder-grid-row > .site-header-section {
    flex-wrap: wrap;
  }

  .ast-header-break-point .main-navigation #ast-hf-menu-2.stack-on-mobile li {
    width: auto;
  }
}

@media (min-width: 921px) and (max-width: 1260px) {
  #ast-desktop-header .main-header-bar,
  #ast-desktop-header .main-header-bar {
    display: none !important;
  }

  .ast-header-break-point .main-navigation #ast-hf-menu-2.stack-on-mobile li {
    width: auto;
  }
}

/*
body.ast-desktop:not(.ast-theme-transparent-header) .astra-mm-icon-label svg {
  fill: var(--ast-global-color-6) !important;
}
  */

/*page header*/

body.ast-theme-transparent-header
  .ast-single-entry-banner[data-post-type="page"][data-banner-layout="layout-2"] {
  display: none;
}

.ast-archive-entry-banner[data-banner-background-type="custom"],
.ast-single-entry-banner[data-post-type="page"][data-banner-layout="layout-2"] {
  position: relative;
  z-index: 1;
}
.ast-archive-entry-banner[data-banner-background-type="custom"]::after,
.ast-single-entry-banner[data-post-type="page"][data-banner-layout="layout-2"]::after {
  content: "";
  width: calc(100% + 6em);
  height: 25px;
  background: url(./images/waves.svg) center no-repeat;
  background-size: contain;
  z-index: 99;
  left: -3em;
  position: absolute;
  bottom: 0;
  transform: rotate(180deg);
}

/* Site Footer*/
.site-above-footer-wrap[data-section="section-above-footer-builder"]
  .ast-builder-grid-row {
  padding: 0 !important;
}

.ast-footer-copyright {
  display: flex;
  align-items: center;
}

/*********************** BLOG *********************************/

.archive .post-content .read-more a.ast-button,
.blog .post-content .read-more a.ast-button {
  color: #000;
}

.wp-block-search__inside-wrapper .wp-block-search__input {
  padding: 0 10px;
  color: #000;
  background: #fafafa;
  border-color: transparent;
}

.ast-article-post .post-thumb-img-content img {
  aspect-ratio: 1 / 1;
  width: 100%;
  object-fit: cover;
}

time.uagb-post__date::before,
span.published::before {
  content: "Publié le";
  text-transform: none;
}

/*********************** SINGLE FORMATION *********************************/

.les_plus ul {
  margin-left: 15px;
}

/*Thumbnail*/

.wp-block-post-featured-image {
  position: relative;
}

.wp-block-post-featured-image .first-cat.formations-term {
  align-items: center;
  top: -20px;
}

.wp-block-post-featured-image .first-cat.formations-term .picto img {
  max-width: 60px;
  margin-right: 6px;
}

/*tabs*/
.single-formation .uagb-tabs__body-wrap {
  border-color: transparent !important;
}

.field.contenu h3,
.field.contenu h4 {
  font-size: 15px;
  margin: 30px 0 10px 0;
}

.single h2 {
  font-size: 1.5em;
  margin: 2em 0 0.5em 0;
}

.single h3,
.single h4 {
  font-size: 1.2em;
}

.ast-badge-tax,
.cat-links.badge a,
.tags-links.badge a {
  font-size: 12px;
}

/*badge */
.single-formation .ast-terms-link .ast-badge-tax,
.formations-term .ast-badge-tax {
  background: var(--ast-global-color-1);
  color: var(--ast-global-color-2);
  border-color: var(--ast-global-color-1);
  border-radius: 2px;
  flex-direction: row;
  align-items: flex-end;
  padding: 6px 8px;
  line-height: 1;
  margin-right: 5px;
  margin-bottom: 20px;
  font-size: 0.7em;
}

/*ACF FIELDS*/
a.acf-link.button {
  text-align: center;
  display: inline-block;
}

a.acf-link.button:hover {
  color: var(--ast-global-color-1);
  border-color: var(--ast-global-color-1);
}

span.field .libelle {
  font-weight: 800;
}

a.acf-link.button.dossier {
  background-color: var(--ast-global-color-5);
  color: #fff;
  border-color: #fff;
}

a.acf-link.button.dossier:hover {
  background-color: #fff;
  color: var(--ast-global-color-1);
  border-color: var(--ast-global-color-1);
}

.icon svg {
  max-width: 20px;
  fill: var(--ast-global-color-5);
}

span.field.date_begin_next_session .icon {
  display: block;
  margin: auto;
  text-align: center;
}

/*rncp*/
a.acf-link.button.rncp {
  margin-top: 40px;
}

/* Catalogue pdf*/
object.pdfPreviewer {
  margin: 3em auto;
  min-height: 400px;
  height: 70vh;
}

.pdf-btn a.wp-block-file__button.wp-element-button {
  color: #000 !important;
}

/* slider - carousel formation  [cpt_acf_carousel] */
.js-slider {
  position: relative;
  width: 100%;
  max-width: 800px;
  margin: auto;
  overflow: hidden;
}

.js-slider .slides {
  display: flex;
  transition: transform 0.5s ease-in-out;
  width: 100%;
}

.js-slider .slide {
  flex-shrink: 0;
  width: 100%;
  box-sizing: border-box;
  text-align: center;
  padding: 20px;
  height: 100%;
}

.slides img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  max-height: 490px;/*avant 450*/
  border-radius: 12px;
}

.js-slider .navigation {
  display: flex;
  justify-content: center;
  margin-top: 10px;
}

.js-slider .bullet {
  width: 12px;
  height: 12px;
  margin: 5px;
  background-color: #ccc;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s;
  padding: 0;
}

.js-slider .bullet.active {
  background-color: #333;
}

/*Tootip*/

.tooltip {
  visibility: hidden;
  width: 200px;
  height: 0;
  background-color: #45521f;
  color: #fff;
  text-align: center;
  padding: 8px;
  border-radius: 5px;
  position: relative;
  z-index: 10;
  font-size: 0.8em;
  opacity: 0;
  transition: all 0.3s ease-in-out;
}

.tooltip::before {
  content: "";
  position: absolute;
  top: -10px;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent #45521f transparent;
}

/* La tooltip apparaît uniquement au survol du bouton */
.tooltip-button:hover + .tooltip {
  visibility: visible;
  opacity: 1;
  height: auto;
}

/************** ARCHIVES FORMATIONS **************/
.archive-formations-header {
  background: var(--ast-global-color-8);
  padding: 100px 20px;
  border-bottom-right-radius: 200px;
}

.formations_header-container {
  display: grid;
  gap: 30px;
}

.archive-formations-content,
.formations_header-container {
  max-width: 1260px;
  margin: auto;
}

.first-cat.formations-term .ast-badge-tax {
  background: var(--ast-global-color-0);
  color: #fff;
}

.first-cat.formations-term {
  display: flex;
  justify-content: start;
  align-items: baseline;
  position: absolute;
  top: -45px;
  left: -20px;
}

.first-cat.formations-term .picto img {
  max-width: 80px;
  margin-right: 8px;
  background: #fff; /* var(--ast-global-color-1);*/
  border-radius: 40px;
}

/*TODO : check if keeping picto*/

.first-cat.formations-term {
  top: 15px;
  left: -10px;
}

.first-cat.formations-term .picto {
  display: none;
}

.first-cat.formations-term .ast-badge-tax {
  margin-left: -10px;
  margin-bottom: -80px;
  top: auto;
}

/* TODO : DELETE*/

/*
.first-cat.formations-term.metiers-du-cheval .ast-badge-tax {
  background-color: #7ca7b8;
}

.first-cat.formations-term.services-aux-personnes-et-aux-territoires
  .ast-badge-tax {
  background-color: #77171e;
}

.first-cat.formations-term.metiers-de-lagriculture .ast-badge-tax {
  background-color: #472610;
}
.first-cat.formations-term.decouverte-des-metiers .ast-badge-tax {
  background-color: #8f9c25;
}
*/

.prefix {
  color: var(--ast-global-color-3);
  position: relative;
  padding-left: 28px;
}
.prefix::before {
  content: "...";
  font-weight: 900;
  font-size: 24px;
  color: var(--ast-global-color-1);
  display: inline-flex;
  position: absolute;
  margin-top: -7px;
  left: 0;
}

ul.formations-archive-posts {
  display: grid;
  gap: 2em;
  margin: 5em auto;
  padding: 0;
  list-style-type: none;
  color: var(--ast-global-color-2);
}

.formations-archive-posts figure.formation-thumbnail {
  width: calc(100% + 80px);
  margin-left: -40px;
  margin-top: -20px;
  display: block;
}

.formations-archive-posts .formation-thumbnail img {
  height: 280px;
  object-fit: cover;
}

@media screen and (min-width:640px) {
  .formations-archive-posts .formation-thumbnail img {
    height: 340px;
  }
  
}

.archive-formations-content .wp-block-post {
  box-shadow: 0px 23px 30px -30px #00000070;
  padding: 20px 40px 40px 40px;
  border-color: var(--ast-global-color-4);
  background-color: var(--ast-global-color-7);
  position: relative;
  text-align: center;
  z-index: 1;
  margin: 0 0 20px 20px;
}

.archive-formations-content .wp-block-post > article {
  display: grid;
  row-gap: 20px;
  column-gap: 20px;
  margin-right: 20px;
}
.archive-formations-content .wp-block-post::before {
  content: "";
  position: absolute;
  pointer-events: none;
  top: -2px;
  left: -2px;
  width: calc(100% + 2px + 2px);
  height: calc(100% + 2px + 2px);
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: cover;
  background-attachment: scroll;
  mix-blend-mode: normal;
  background-image: url("./images/quote-background.webp"); /*TODO: import img*/
  background-clip: padding-box;
  opacity: 0.3;
  z-index: -1;
}

ul.formations-archive-posts h2,
ul.formations-archive-posts h3 {
  font-size: 1.25em;
}

.formation-meta-item p {
  margin-bottom: 4px !important;
}

.formation-meta-item {
  display: grid;
  grid-template-columns: 1fr 6fr;
}

.formation-meta-item svg {
  max-width: 24px;
  fill: var(--ast-global-color-2);
}
.formation-meta-item:hover svg {
  fill: var(--ast-global-color-0);
}

.archive-formations-content .wp-block-post .button {
  text-align: center;
}

.archive-formations-content .wp-block-post .button:hover {
  color: var(--ast-global-color-1);
  border-color: var(--ast-global-color-1);
}

/************** Other contents **************/
.uagb-post-grid .uagb-post__image img {
  object-fit: cover;
  height: 340px;
}

.partners
  .spectra-image-gallery__media.spectra-image-gallery__media--carousel
  img {
  object-fit: contain;
  max-height: 200px;
}

/************** Plugins **************/
/*Forminator */
.forminator-pagination-steps {
  padding-bottom: 30px;
}
#primary
  .forminator-design--material
  .forminator-label:not([class*="forminator-floating-"]) {
  font-size: 18px !important;
  font-weight: 600 !important;
  margin: 16px 0;
}

#primary .forminator-button-next,
#primary .forminator-button-back {
  border-radius: 30px;
}

@media (min-width: 744px) {
  .forminator-field-address {
    display: grid;
    grid-template-columns: 1fr 1fr fr;
    gap: 10px;
  }
}

input[type="email"],
input[type="number"],
input[type="password"],
input[type="reset"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="url"],
select,
textarea {
  border-color: transparent;
  background: rgba(0, 0, 0, 0.1);
}

label.forminator-label.forminator-repeater-label {
  text-transform: uppercase;
  font-weight: 900;
  margin-bottom: 30px !important;
}

.forminator-ui#forminator-module-28026.forminator-design--flat .forminator-button-submit {
  background: var(--ast-global-color-3);
  border-radius: 8px;
  color: #fff;
  font-weight: 600;
}

.forminator-ui#forminator-module-28026.forminator-design--flat .forminator-button-submit:hover {
  background: #fff;
  color: #000;
}

/* GG Reviews */
.wp-gr .wp-google-powered {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: transparent !important;
}


/*WPC Filters*/
.wpc-filter-header .wpc-filter-title {
  display: none;
}

.wpc-horizontal-layout .wpc-filters-widget-wrapper {
  justify-content: center;
  align-items: stretch;
}

.wpc-filters-section {
  margin-bottom: 0!important;
  align-content: center !important;
}

input[type="email"],
input[type="number"],
input[type="password"],
input[type="reset"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="url"],
select,
textarea {
  background: #fff;
  border-color: #fff !important;
}

/************** Responsive **************/
@media (max-width: 768px) {
  .formation-container .tabs {
    flex-direction: column;
  }
}

@media (min-width: 568px) {
  .formations-archive-posts {
    grid-template-columns: 1fr 1fr;
  }

  ul.formations-archive-posts {
    grid-template-columns: 1fr 1fr;
  }

  .archive-formations-content .wp-block-post {
    margin: 0 0 20px 20px;
  }

  /**single formation*/
  .formation_footer .document.charts-box {
    min-width: 360px;
  }
}

@media screen and (min-width: 928px) {
  .document-section {
    flex-wrap: nowrap;
  }
  ul.formations-archive-posts {
    grid-template-columns: 1fr 1fr 1fr;
  }

  .archive-formations-content .wp-block-post > article {
    margin-right: 0;
    height: 100%;
    align-content: space-between;
  }

  .archive-formations-content .wp-block-post .button {
    max-height: 50px;
  }
}

@media screen and (min-width: 1024px) {
  .document-section {
    flex-wrap: nowrap;
  }
}

@media screen and (min-width: 587px) and (max-width: 1024px) {
  .loop-archive-formations > .is-layout-grid {
    grid-template-columns: 1fr 1fr;
  }
}
